=== debian/control ===
Source: ros-kinetic-vmrc-gazebo
Section: misc
Priority: extra
Maintainer: Carlos Aguero <caguero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-ros (>= 2.5.17), ros-kinetic-std-msgs, ros-kinetic-wamv-gazebo, ros-kinetic-xacro
Homepage: http://wiki.ros.org/vmrc_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-vmrc-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-ros (>= 2.5.17), ros-kinetic-std-msgs, ros-kinetic-wamv-gazebo, ros-kinetic-xacro
Description: The ROS package for the RobotX competition running in Gazebo.
